> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List debit memos

GET https://rest.test.zuora.com/v1/debit-memos

**Note:** This operation is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information.

Retrieves the information about all debit memos associated with all customer accounts.

### Filtering

You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body.

If the value of a filterable field is string, you can set the corresponding query parameter to `null` when filtering. Then, you can get the response data with this field value being `null`. 

Examples:

- /v1/debit-memos?status=Posted

- /v1/debit-memos?referredInvoiceId=null&status=Draft

- /v1/debit-memos?status=Posted&type=External&sort=+number


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/billing-documents/debit-memos/get-debit-memos

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `page` (integer, optional, default: 1) — The index number of the page that you want to retrieve. This parameter is dependent on `pageSize`. You must set `pageSize` before specifying `page`. For example, if you set `pageSize` to `20` and `page` to `2`, the 21st to 40th records are returned in the response.
- `pageSize` (integer, optional, default: 20) — The number of records returned per page in the response.
- `accountId` (string, optional) — This parameter filters the response based on the `accountId` field.
- `accountNumber` (string, optional) — This parameter filters the response based on the `accountNumber` field.
- `amount` (double, optional) — This parameter filters the response based on the `amount` field.
- `balance` (double, optional) — This parameter filters the response based on the `balance` field.
- `beAppliedAmount` (double, optional) — This parameter filters the response based on the `beAppliedAmount` field.
- `createdById` (string, optional) — This parameter filters the response based on the `createdById` field.
- `createdDate` (string, optional) — This parameter filters the response based on the `createdDate` field.
- `currency` (string, optional) — This parameter filters the response based on the `currency` field.
- `debitMemoDate` (date, optional) — This parameter filters the response based on the `debitMemoDate` field.
- `dueDate` (date, optional) — This parameter filters the response based on the `dueDate` field.
- `number` (string, optional) — This parameter filters the response based on the `number` field.
- `referredInvoiceId` (string, optional) — This parameter filters the response based on the `referredInvoiceId` field.
- `status` (enum, optional) — This parameter filters the response based on the `status` field.
  - Allowed values: `Draft`, `Posted`, `Canceled`, `Error`, `PendingForTax`, `Generating`, `CancelInProgress`
- `targetDate` (date, optional) — This parameter filters the response based on the `targetDate` field.
- `taxAmount` (double, optional) — This parameter filters the response based on the `taxAmount` field.
- `totalTaxExemptAmount` (double, optional) — This parameter filters the response based on the `totalTaxExemptAmount` field.
- `updatedById` (string, optional) — This parameter filters the response based on the `updatedById` field.
- `updatedDate` (string, optional) — This parameter filters the response based on the `updatedDate` field.
- `sort` (string, optional) — This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on. A sortable field uses the following form: *operator* *field_name* You can use at most two sortable fields in one URL path. Use a comma to separate sortable fields. For example: *operator* *field_name*, *operator* *field_name* *operator* is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field. - The `-` operator indicates an ascending order. - The `+` operator indicates a descending order. By default, the response data is displayed in descending order by debit memo number. *field_name* indicates the name of a sortable field. The supported sortable fields of this operation are as below: - number - accountId - debitMemoDate - targetDate - dueDate - amount - taxAmount - totalTaxExemptAmount - balance - beAppliedAmount - referredInvoiceId - createdDate - createdById - updatedDate - updatedById Examples: - /v1/debit-memos?sort=+number - /v1/debit-memos?status=Processed&sort=-number,+amount

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `debitmemos` (list of GETDebitMemoTypewithSuccess, optional) — Container for debit memos.
- `nextPage` (string, optional) — URL to retrieve the next page of the response if it exists; otherwise absent.
- `success` (boolean, optional) — Returns `true` if the request was processed successfully.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### GETDebitMemoTypewithSuccess

Container for custom fields of a Debit Memo object.

- `accountId` (string, optional) — The ID of the customer account associated with the debit memo.
- `accountNumber` (string, optional) — The number of the customer account associated with the debit memo.
- `amount` (double, optional) — The total amount of the debit memo.
- `autoPay` (boolean, optional) — Whether debit memos are automatically picked up for processing in the corresponding payment run. By default, debit memos are automatically picked up for processing in the corresponding payment run.
- `balance` (double, optional) — The balance of the debit memo.
- `beAppliedAmount` (double, optional) — The applied amount of the debit memo.
- `billToContactId` (string, optional) — The ID of the bill-to contact associated with the debit memo. The value of this field is `null` if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled.
- `cancelledById` (string, optional, nullable) — The ID of the Zuora user who cancelled the debit memo.
- `cancelledOn` (string, optional, nullable) — The date and time when the debit memo was cancelled, in `yyyy-mm-dd hh:mm:ss` format.
- `comment` (string, optional, nullable) — Comments about the debit memo.
- `createdById` (string, optional) — The ID of the Zuora user who created the debit memo.
- `createdDate` (string, optional) — The date and time when the debit memo was created, in `yyyy-mm-dd hh:mm:ss` format. For example, 2017-03-01 15:31:10.
- `currency` (string, optional, nullable) — The currency of the debit memo. **Note:** By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency.
- `debitMemoDate` (date, optional) — The date when the debit memo takes effect, in `yyyy-mm-dd` format. For example, 2017-05-20.
- `dueDate` (date, optional) — The date by which the payment for the debit memo is due, in `yyyy-mm-dd` format.
- `einvoiceErrorCode` (string, optional, nullable) — The error code returned when the e-invoice file status is `Failed`. This code can either be a Zuora-generated error code or one returned by a third-party e-invoicing service provider. **Note**: This field is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
- `einvoiceErrorMessage` (string, optional, nullable) — The error message returned when the e-invoice file status is `Failed`. This message can either be a Zuora-generated error message or one returned by a third-party e-invoicing service provider. **Note**: This field is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
- `einvoiceFileId` (string, optional, nullable) — The ID of the e-invoice file generated for the debit memo. **Note**: This field is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
- `einvoiceStatus` (enum, optional, nullable) — The status of the e-invoice file generation for the debit memo. * If e-invoice file generation succeeds, this field is either `Generated` or `Success`, and both the error code and message are empty, and the `eInvoiceFileId` field stores the ID of the generated e-invoice file. * If the responses from tax vendors such as Sovos or Avalara are taking too long, this field becomes `RetrieveTimeOut`. Once the vendor responds successfully, you can use the 'Resync E-Invoice Status' action to update the status automatically. You can view these updates in System Health telemetry. * If a failure occurs during e-invoice file generation, this field is `Failed` and an error code and an error message are returned respectively in the `einvoiceErrorCode` and `einvoiceErrorMessage` fields. * If e-invoice file generation conditionally succeeds, this field is `ConditionalSuccess` and an error code and an error message are returned respectively in the `einvoiceErrorCode` and `einvoiceErrorMessage` fields. * If the e-invoice file has been approved by the tax authority, this field is `ApprovedByAuthority`. The next status will be either `Success` or `Rejected`. * If the e-invoice file has been rejected by the government, this field is `Rejected`. You cannot resend this e-invoice; you must create a new invoice instead. **Note**: This field is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
  - Allowed values: `Processing`, `RetrieveTimeOut`, `Generated`, `Success`, `Failed`, `ConditionalSuccess`, `ApprovedByAuthority`, `Rejected`
- `id` (string, optional) — The unique ID of the debit memo.
- `invoiceGroupNumber` (string, optional, nullable) — The number of the invoice group associated with the debit memo. The value of this field is `null` if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled.
- `latestPDFFileId` (string, optional) — The ID of the latest PDF file generated for the debit memo.
- `number` (string, optional) — The unique identification number of the debit memo.
- `paymentTerm` (string, optional, nullable) — The name of the payment term associated with the debit memo. The value of this field is `null` if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled.
- `postedById` (string, optional, nullable) — The ID of the Zuora user who posted the debit memo.
- `postedOn` (string, optional, nullable) — The date and time when the debit memo was posted, in `yyyy-mm-dd hh:mm:ss` format.
- `reasonCode` (string, optional) — A code identifying the reason for the transaction. The value must be an existing reason code or empty.
- `referredCreditMemoId` (string, optional, nullable) — The ID of the credit memo from which the debit memo was created.
- `referredInvoiceId` (string, optional, nullable) — The ID of a referred invoice.
- `sequenceSetId` (string, optional, nullable) — The ID of the sequence set associated with the debit memo. The value of this field is `null` if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled.
- `communicationProfileId` (string, optional, nullable) — The ID of the communication profile associated with the debit memo. **Note**: This field is available in the request body only if you have the Flexible Billing Attributes feature turned on. The value is `null` in the response body without this feature turned on.
- `sourceType` (enum, optional) — The type of the debit memo source.
  - Allowed values: `Subscription`, `Standalone`, `Order`, `Consolidation`, `Invoice`, `CreditMemo`
- `status` (enum, optional) — The status of the debit memo.
  - Allowed values: `Draft`, `Posted`, `Canceled`, `Error`, `PendingForTax`, `Generating`, `CancelInProgress`
- `targetDate` (date, optional, nullable) — The target date for the debit memo, in `yyyy-mm-dd` format. For example, 2017-07-20.
- `taxAmount` (double, optional) — The amount of taxation.
- `taxMessage` (string, optional, nullable) — The message about the status of tax calculation related to the debit memo. If tax calculation fails in one debit memo, this field displays the reason for the failure.
- `taxStatus` (enum, optional, nullable) — The status of tax calculation related to the debit memo. **Note**: This field is only applicable to tax calculation by third-party tax engines. Also, the `Voided` status indicates that the tax transaction is successfully canceled on the tax vendor's side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor's side.
  - Allowed values: `Complete`, `Error`, `UnknownError`, `DuplicateDoc`, `InvalidRequest`, `InvalidResponse`, `TaxEngineError`, `ConcurrentModify`, `InternalServerError`, `TaxCodeTemplateError`, `Voided`
- `totalTaxExemptAmount` (double, optional) — The calculated tax amount excluded due to the exemption.
- `transferredToAccounting` (enum, optional) — Whether the debit memo was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite.
  - Allowed values: `Processing`, `Yes`, `No`, `Error`, `Ignore`
- `updatedById` (string, optional) — The ID of the Zuora user who last updated the debit memo.
- `updatedDate` (string, optional) — The date and time when the debit memo was last updated, in `yyyy-mm-dd hh:mm:ss` format. For example, 2017-03-02 15:31:10.
- `IntegrationId__NS` (string, optional) — ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `IntegrationStatus__NS` (string, optional) — Status of the debit memo's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `SyncDate__NS` (string, optional) — Date when the debit memo was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Response**

```json
{
  "debitmemos": [
    {
      "accountId": "402890555a7e9791015a7f15fe44001c",
      "accountNumber": "AN_1679649466484",
      "amount": 50,
      "autoPay": true,
      "balance": 50,
      "beAppliedAmount": 0,
      "billToContactId": null,
      "cancelledById": null,
      "cancelledOn": null,
      "comment": "the comment",
      "createdById": "402881e522cf4f9b0122cf5d82860002",
      "createdDate": "2017-03-01 17:24:14",
      "currency": "USD",
      "debitMemoDate": "2017-10-17",
      "dueDate": "2017-11-16",
      "einvoiceErrorCode": null,
      "einvoiceErrorMessage": null,
      "einvoiceFileId": null,
      "einvoiceStatus": "Processing",
      "id": "402890555a87d7f5015a892f2ba10057",
      "invoiceGroupNumber": "N-0001",
      "latestPDFFileId": "402890555a87d7f5015a892f2c5c0060",
      "number": "DM00000006",
      "paymentTerm": null,
      "postedById": null,
      "postedOn": null,
      "reasonCode": "Correcting invoice error",
      "referredInvoiceId": null,
      "sequenceSetId": null,
      "sourceType": "Standalone",
      "status": "Draft",
      "targetDate": null,
      "taxAmount": 0,
      "taxMessage": null,
      "taxStatus": "Complete",
      "totalTaxExemptAmount": 0,
      "transferredToAccounting": "No",
      "updatedById": "402881e522cf4f9b0122cf5d82860002",
      "updatedDate": "2017-03-01 17:24:14",
      "billToContactSnapshotId": null
    },
    {
      "accountId": "402890555a7d4022015a7dabf5f60088",
      "accountNumber": "AN_1679649466488",
      "amount": 0.01,
      "autoPay": true,
      "balance": 0.01,
      "beAppliedAmount": 0,
      "billToContactId": null,
      "cancelledById": null,
      "cancelledOn": null,
      "comment": "the comment",
      "createdById": "402881e522cf4f9b0122cf5d82860002",
      "createdDate": "2017-03-01 17:13:15",
      "currency": "USD",
      "debitMemoDate": "2017-11-30",
      "dueDate": "2017-12-30",
      "einvoiceErrorCode": null,
      "einvoiceErrorMessage": null,
      "einvoiceFileId": null,
      "einvoiceStatus": "Processing",
      "id": "402890555a87d7f5015a89251edc0045",
      "invoiceGroupNumber": "N-0001",
      "latestPDFFileId": "ac1ebc24569sd",
      "number": "DM00000003",
      "paymentTerm": null,
      "postedById": null,
      "postedOn": null,
      "reasonCode": "Charge Dispute",
      "referredInvoiceId": "402890555a7d4022015a7dadb3b300a4",
      "sequenceSetId": null,
      "sourceType": "Standalone",
      "status": "Draft",
      "targetDate": null,
      "taxAmount": 0.01,
      "taxMessage": null,
      "taxStatus": "Complete",
      "totalTaxExemptAmount": 0,
      "transferredToAccounting": "No",
      "updatedById": "402881e522cf4f9b0122cf5d82860002",
      "updatedDate": "2017-03-01 17:13:15",
      "billToContactSnapshotId": null
    },
    {
      "accountId": "402890555a7d4022015a7dabf5f60088",
      "accountNumber": "AN_1679649466488",
      "amount": 9,
      "autoPay": true,
      "balance": 9,
      "beAppliedAmount": 0,
      "billToContactId": null,
      "cancelledById": null,
      "cancelledOn": null,
      "comment": "",
      "createdById": "402881e522cf4f9b0122cf5d82860002",
      "createdDate": "2017-03-01 17:01:00",
      "currency": "USD",
      "debitMemoDate": "2017-03-01",
      "dueDate": "2017-03-31",
      "einvoiceErrorCode": null,
      "einvoiceErrorMessage": null,
      "einvoiceFileId": null,
      "einvoiceStatus": "Processing",
      "id": "402890555a87d7f5015a8919e4fe002e",
      "invoiceGroupNumber": "N-0001",
      "latestPDFFileId": "402890555a87d7f5015a8919e95d003a",
      "number": "DM00000002",
      "paymentTerm": null,
      "postedById": null,
      "postedOn": null,
      "reasonCode": "Correcting invoice error",
      "referredCreditMemoId": "1a2b3c4d5e6f",
      "referredInvoiceId": "402890555a7d4022015a7dadb3b300a4",
      "sequenceSetId": null,
      "sourceType": "Standalone",
      "status": "Draft",
      "targetDate": null,
      "taxAmount": 8,
      "taxMessage": null,
      "taxStatus": "Complete",
      "totalTaxExemptAmount": 0,
      "transferredToAccounting": "No",
      "updatedById": "402881e522cf4f9b0122cf5d82860002",
      "updatedDate": "2017-03-01 17:01:00",
      "billToContactSnapshotId": null
    },
    {
      "accountId": "402890555a7e9791015a7f15fe44001c",
      "accountNumber": "AN_1679649466684",
      "amount": 8.02,
      "autoPay": true,
      "balance": 8.02,
      "beAppliedAmount": 0,
      "billToContactId": null,
      "cancelledById": null,
      "cancelledOn": null,
      "comment": "",
      "createdById": "402881e522cf4f9b0122cf5d82860002",
      "createdDate": "2017-03-01 10:26:16",
      "currency": "USD",
      "debitMemoDate": "2017-03-01",
      "dueDate": "2017-03-31",
      "einvoiceErrorCode": null,
      "einvoiceErrorMessage": null,
      "einvoiceFileId": null,
      "einvoiceStatus": "Processing",
      "id": "402890555a7e9791015a87b082940067",
      "invoiceGroupNumber": "N-0001",
      "latestPDFFileId": "402890555a7e9791015a87b083f00072",
      "number": "DM00000001",
      "paymentTerm": null,
      "postedById": null,
      "postedOn": null,
      "reasonCode": "Correcting invoice error",
      "referredCreditMemoId": "1a2b3c4d5e6f",
      "referredInvoiceId": "402890555a7e9791015a7f1756aa0035",
      "sequenceSetId": null,
      "sourceType": "Standalone",
      "status": "Draft",
      "targetDate": null,
      "taxAmount": 0.02,
      "taxMessage": null,
      "taxStatus": "Complete",
      "totalTaxExemptAmount": 0,
      "transferredToAccounting": "No",
      "updatedById": "402881e522cf4f9b0122cf5d82860002",
      "updatedDate": "2017-03-01 10:45:03",
      "billToContactSnapshotId": null
    }
  ],
  "success": true
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/debit-memos"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/debit-memos';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/debit-memos"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/debit-memos")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/debit-memos")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/debit-memos', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/debit-memos");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/debit-memos")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```